@use '../utilities/mixins';
@use '../utilities/variables';

.deliveries {
    position: relative;

    &::after {
        content: "Отправить на отгрузку";
        font-size: 28px;
        display: none;
        height: 100%;
        width: 100%;
        position: absolute;
        z-index: 10;
        color: var(--title);
        background-color: var(--drop-bg);
        top: 0;
        left: 0;
        border-radius: 32px;
    }

    &.droping::after {
        @include mixins.flex($a: center, $j: center);
    }

    &__update {
        position: absolute;
        left: 32px;
        top: 32px;
    }

    &__list {
        @include mixins.flex($g: 10px, $d: column);
    }

    &__empty {
        text-align: center;
        padding: 20px 0;
        font-size: 22px;
    }
}